STAT(1)

NAZWA
stat - wyświetla status pliku lub systemu plików

SKŁADNIA
stat [OPCJA]... PLIK...

OPIS

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-L, --dereference
    podąża za dowiązaniami

-f, --file-system
    wyświetla status systemu plików, zamiast statusu pliku

-c  --format=FORMAT
    używa podanego FORMATU zamiast domyślnego; wypisuje znak nowego wiersza po każdym użytym FORMACIE

--printf=FORMAT
    jak --format, ale interpretuje sekwencje specjalne z odwrotnym ukośnikiem i nie wypisuje obowiązkowego znaku nowego wiersza. Aby go wypisać, należy użyć \n w podanym FORMACIE

-t, --terse
    wyświetla informacje w zwięzłej formie

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Prawidłowe sekwencje FORMATU dla plików (jeżeli nie podano opcji --file-system):

%a  prawa dostępu ósemkowo (proszę zwrócić uwagę na flagi "#" i "0" printf)

%A  prawa dostępu, w formie czytelnej dla człowieka

%b  liczba zajętych bloków (patrz %B)

%B  rozmiar każdego bloku podanego przez %b, w bajtach

%C  łańcuch kontekstu bezpieczeństwa SELinux

%d  numer urządzenia, w systemie dziesiętnym

%D  numer urządzenia, szesnastkowo

%f  tryb surowy, szesnastkowo

%F  typ pliku

%g  identyfikator grupy właściciela pliku

%G  nazwa grupy właściciela pliku

%h  liczba dowiązań zwykłych (twardych)

%i  numer i-węzła

%m  punkt montowania

%n  nazwa pliku

%N  nazwa pliku w cudzysłowach, rozwiązana, jeśli jest dowiązaniem symbolicznym

%o  wskazówka nt. optymalnego transferu wejścia/wyjścia

%s  całkowity rozmiar, w bajtach

%t  główny (major) typ urządzenia szesnastkowo, do specjalnych plików urządzeń znakowych/blokowych

%T  poboczny (minor) typ urządzenia szesnastkowo, do specjalnych plików urządzeń znakowych/blokowych

%u  identyfikator właściciela pliku

%U  nazwa właściciela pliku

%w  czas utworzenia pliku, w formie czytelnej dla człowieka; - jeśli jest nieznany

%W  czas utworzenia pliku, w sekundach od epoki; 0 jeśli jest nieznany

%x  czas ostatniego dostępu, w formie czytelnej dla człowieka

%X  czas ostatniego dostępu, w sekundach od epoki

%y  czas ostatniej modyfikacji danych, w formie czytelnej dla człowieka

%Y  czas ostatniej modyfikacji danych, w sekundach od epoki

%z  czas ostatniej zmiany statusu, w formie czytelnej dla człowieka

%Z  czas ostatniej zmiany statusu, w sekundach od epoki

Prawidłowe określenia formatu dla systemów plików:

%a  liczba wolnych bloków dostępnych dla zwykłych użytkowników

%b  całkowita liczba bloków danych w systemie plików

%c  całkowita liczba węzłów w systemie plików

%d  liczba wolnych węzłów plików w systemie plików

%f  liczba wolnych bloków w systemie plików

%i  identyfikator systemu plików, szesnastkowo

%l  maksymalna długość nazw plików

%n  nazwa pliku

%s  rozmiar bloku (w celu szybszych transferów)

%S  podstawowy rozmiar bloku (do zliczenia bloków)

%t  identyfikator systemu plików, szesnastkowo

%T  typ, w formie czytelnej dla człowieka

UWAGA: aktualnie używana powłoka może posiadać swoją wersję stat, która z reguły przesłania wersję opisaną w niniejszym podręczniku. Proszę zapoznać się z dokumentacją używanej powłoki, aby dowiedzieć się szczegółów o obsługiwanych opcjach. Aby wywołać opisaną tu wersję, można użyć polecenia env tzn. env stat ....

AUTOR
Napisane przez Michaela Meskesa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu stat proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
stat(2)

Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/stat>
lub lokalnie, za pomocą info '(coreutils) stat invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Robert Luberda (PTM) <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.